## org.eclipse.emf.edit.provider
Interface IItemProviderDecorator

All Known Implementing Classes:
  ItemProviderDecorator, MappedObjectItemProvider

    public interface IItemProviderDecorator

This is implemented by an item provider that decorates another item provider.

Method Summary
`IChangeNotifier` `getDecoratedItemProvider()` This returns the decorated item provider, which must implement the `IChangeNotifier` interface.
`void` `setDecoratedItemProvider(IChangeNotifier decoratedItemProvider)` This set the decorated item provider, which must implement the `IChangeNotifier` interface.

Method Detail

### getDecoratedItemProvider

    IChangeNotifier getDecoratedItemProvider()

  This returns the decorated item provider, which must implement the `IChangeNotifier` interface.

### setDecoratedItemProvider

    void setDecoratedItemProvider(IChangeNotifier decoratedItemProvider)

  This set the decorated item provider, which must implement the `IChangeNotifier` interface.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.